%ifos darwin
%define __defattr %defattr(-,root,wheel)
%define __soext	  dylib
%else
%define __defattr %defattr(-,root,root)
%define __soext	  so
%endif

Summary: Wnn6 Client Library
Name: Wnn6-SDK
Version: 1.0
Release: 3b
Copyright: OMRON Corporation, OMRON Software Co., Ltd.
Group: Extensions/Japanese
Source0: ftp://ftp-sp.omronsoft.co.jp/pub/Wnn6/skd_source/sdk/%{name}-sources.tar.gz
Source1: localhost:/wnnenvrc
Patch0: localhost:/Wnn6-SDK.config.patch
Patch1: localhost:/wnn6-sdk_incl.patch
Patch2: localhost:/wnn6-sdk_shared.patch
Patch3: localhost:/wnn6-sdk_malloc.patch
Patch4: localhost:/Wnn6-SDK.static.patch
Patch5: localhost:/Wnn6-SDK.nonroot.patch
Patch6: localhost:/wnn6-sdk_glibc.patch
Patch7: localhost:/Wnn6-SDK.config-macosx.patch
Patch8: localhost:/wnn6-sdk_shared-macosx.patch
Patch9: localhost:/Wnn6-SDK.static-macosx.patch
Patch10: localhost:/Wnn6-SDK.config2-macosx.patch
URL: http://www.omronsoft.co.jp/SP/Pcunix/wnn.html
BuildRoot: %{_tmppath}/%{name}-root
#Distribution: Japanese RPM (JRPM)
#Vendor: Linux Japanese RPM Project
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

## Japanese LinuxPPC
Distribution: unoffical JRPM (public beta)
Vendor: Japanese LinuxPPC Users' Group
%ifnos darwin
Requires: glibc >= 2.0.108
%endif
# Packager: MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

Summary(ja): Wnn6 饤 饤֥

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l ja
Wnn6 饤ȤưΤɬפʥ󥿥 Wnn6 饤 饤֥ꡣ

%package devel
Summary: development library and header file for Wnn6
Group: Extensions/Japanese
Summary(ja): Wnn6 ѳȯ饤֥ȥإåե

%description devel
This package contains header files and libraries for Wnn6
client developments.

%description devel -l ja
Υѥåˤ Wnn6 饤ȤγȯѤΥإåեȥ饤֥
ޤߤޤ

%prep
%setup -q -n src
cd contrib/im/Xsi
%ifnos darwin
%patch0 -p4 -b .config
%else
%patch7 -p4 -b .config
%endif
%patch1 -p1 -b .incl
%ifnos darwin
%patch2 -p1 -b .shared
%else
# %patch8 -p1 -b .shared
%endif
%patch3 -p1 -b .malloc
%ifnos darwin
%patch4 -p1 -b .static
%else
# %patch9 -p1 -b .static
%patch10 -p4 -b .static
%endif
set `/usr/bin/id`
if [ X$1 != "Xuid=0(root)" ]; then
%patch5 -p1 -b .nonroot
fi
%patch6 -p0 -b .glibc

rm -fr ${RPM_BUILD_ROOT}

%build
cd contrib/im/Xsi
make World -f Makefile.ini

%install
cd contrib/im/Xsi
make install DESTDIR=${RPM_BUILD_ROOT}
install -c -m 644 ${RPM_SOURCE_DIR}/wnnenvrc ${RPM_BUILD_ROOT}%{_var}/lib/wnn6/ja_JP

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%{__defattr}
%doc contrib/im/Xsi/README
%dir %{_var}/lib/wnn6/
%dir %{_var}/lib/wnn6/ja_JP/
%config %{_var}/lib/wnn6/ja_JP/wnnenvrc
%ifos darwin
# %{_usr}/lib/libwnn6.*.%{__soext}
%else
%{_usr}/lib/libwnn6.%{__soext}.*
%endif

%files devel
%{__defattr}
%{_usr}/lib/libwnn6.a
%ifos darwin
# %{_usr}/lib/libwnn6.%{__soext}
%else
%{_usr}/lib/libwnn6.%{__soext}
%endif
%{_usr}/include/wnn6/

%ifnos darwin
%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig
%endif

%changelog
* Thu Oct 11 2001 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- Release: 1.0-3b
- 1st build on MacOS X Release 10.1

* Sat Jun 2 2001 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- Release: 1.0-3a
- 1st build on MacOS X Release 10.0.X

* Fri Jun 25 1999 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- included a sample wnnenvrc

* Tue Mar  4 1999 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
- build against glibc-2.1
- use Oe's glibc patch in Wnn6-SDK-1.0-1_rh

* Wed Jan 27 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- change installed directories and name of the library
- added Prefix tag

* Mon Nov 10 1998 Keisude Fujii <fujiik@jlcuxf.kek.jp>
- 1st release
